# Request to delete a scheduled SMS

## Request to delete a scheduled SMS

<mark style="color:green;">`POST`</mark> `http://lk.mysmpp.ru/xml/scheduled.php`

#### Headers

| Name                                           | Type   | Description                    |
| ---------------------------------------------- | ------ | ------------------------------ |
| Content-type<mark style="color:red;">\*</mark> | String | **`text/xml; charset=utf-8;`** |

#### Request Body

| Name                                                                | Type   | Description                                                                                          |
| ------------------------------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------- |
| login.value<mark style="color:red;">\*</mark>                       | String | Your login in the system                                                                             |
| delete\_schedule.schedule.id\_sms<mark style="color:red;">\*</mark> | Int    | The number of the scheduled SMS to be deleted. Can be obtained by querying the list of scheduled SMS |
| token.value<mark style="color:red;">\*</mark>                       | String | You can use a secret key instead of login and password. To obtain it, please contact your manager    |
| password.value<mark style="color:red;">\*</mark>                    | String | Your password in the system                                                                          |

{% tabs %}
{% tab title="200: OK If a valid XML document is received" %}

```xml
<?xml version="1.0" encoding="utf-8" ?>
<response>
    <scheduled id_sms="1234">delete</scheduled>
    <scheduled id_sms="1235">not_found</scheduled>
    …
</response>
```

{% endtab %}

{% tab title="400: Bad Request If an error occurs in the sent XML document" %}

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
     <error>Error message</error>
</response>
```

{% endtab %}
{% endtabs %}

### Deciphering parameters in query responses

<table><thead><tr><th width="150.33333333333331">Parameter</th><th width="166">Data type</th><th>Description</th></tr></thead><tbody><tr><td>scheduled.id_sms</td><td>Int</td><td>SMS message number. Used to check the status of SMS.</td></tr><tr><td>error</td><td>String</td><td><p>The error text can take the following values:</p><ul><li>Incorrect XML document format </li><li>Incorrect login or password </li><li>POST data is missing</li></ul></td></tr></tbody></table>

### Example XML request

```xml
<?xml version="1.0" encoding="utf-8" ?>
<request>
     <security>
          <login value="login" />
          <password value="password" />
     </security>
     <delete_schedule>
          <schedule id_sms="1234” />
          <schedule id_sms="1235” />
          …
     </delete_schedule>
</request>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.webcom.mobi/en/sposoby-vzaimodeistviya-s-a2p-platformoi/xml-specification/request-to-delete-a-scheduled-sms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
